com.taosdata.jdbc.ws.stmt2.entity

## Class Field

- java.lang.Object
- - com.taosdata.jdbc.ws.stmt2.entity.Field

    public class Field
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Field()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `getBindType()`
`int` `getBytes()`
`byte` `getFieldType()`
`String` `getName()`
`byte` `getPrecision()`
`byte` `getScale()`
`void` `setBindType(byte bindType)`
`void` `setBytes(int bytes)`
`void` `setFieldType(byte fieldType)`
`void` `setName(String name)`
`void` `setPrecision(byte precision)`
`void` `setScale(byte scale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Field

    public Field()

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getFieldType

    public byte getFieldType()

#### setFieldType

    public void setFieldType(byte fieldType)

#### getPrecision

    public byte getPrecision()

#### setPrecision

    public void setPrecision(byte precision)

#### getScale

    public byte getScale()

#### setScale

    public void setScale(byte scale)

#### getBytes

    public int getBytes()

#### setBytes

    public void setBytes(int bytes)

#### getBindType

    public byte getBindType()

#### setBindType

    public void setBindType(byte bindType)